import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  siteKey: z.string(),
  username: z.string(),
  password: z.string()
}).strict();
export const InsuranceCredentialCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialCreateWithoutUserInput>;
export const InsuranceCredentialCreateWithoutUserInputObjectZodSchema = makeSchema();
